io.milvus.response.basic

## Class RowRecordWrapper

- java.lang.Object
- - io.milvus.response.basic.RowRecordWrapper

- Direct Known Subclasses:
    QueryResultsWrapper, SearchResultsWrapper

      public abstract class RowRecordWrapper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowRecordWrapper()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldDataWrapper` | `getDynamicWrapper()` Get the dynamic field.
    `abstract java.util.List<QueryResultsWrapper.RowRecord>` | `getRowRecords()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowRecordWrapper

          public RowRecordWrapper()

  - ### Method Detail

    - #### getRowRecords

          public abstract java.util.List<QueryResultsWrapper.RowRecord> getRowRecords()

    - #### getDynamicWrapper

          public FieldDataWrapper getDynamicWrapper()
                                             throws ParamException

      Get the dynamic field. Only available when a collection's dynamic field is enabled. Throws `ParamException` if the dynamic field doesn't exist.
      Returns:
        `FieldDataWrapper`
      Throws:
        `ParamException`